FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202106090743.p0.git.8f7c124 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202106090743.p0.git.8f7c124 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8f7c124 OS_GIT_VERSION=4.7.0-202106090743.p0.git.8f7c124-8f7c124 SOURCE_DATE_EPOCH=1622059958 SOURCE_GIT_COMMIT=8f7c1246e6bcb99d8cdf667851b8d61f637f2801 SOURCE_GIT_TAG=8f7c124 SOURCE_GIT_URL=https://github.com/openshift/vsphere-problem-detector 
WORKDIR /go/src/github.com/openshift/vsphere-problem-detector
COPY . .
ENV GO_PACKAGE github.com/openshift/vsphere-problem-detector
RUN make

FROM openshift/ose-base:v4.7.0.20210609.080519
ENV __doozer=update BUILD_RELEASE=202106090743.p0.git.8f7c124 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202106090743.p0.git.8f7c124 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8f7c124 OS_GIT_VERSION=4.7.0-202106090743.p0.git.8f7c124-8f7c124 SOURCE_DATE_EPOCH=1622059958 SOURCE_GIT_COMMIT=8f7c1246e6bcb99d8cdf667851b8d61f637f2801 SOURCE_GIT_TAG=8f7c124 SOURCE_GIT_URL=https://github.com/openshift/vsphere-problem-detector 
COPY --from=builder /go/src/github.com/openshift/vsphere-problem-detector/vsphere-problem-detector /usr/bin/
ENTRYPOINT ["/usr/bin/vsphere-problem-detector"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-vsphere-problem-detector" \
        com.redhat.component="ose-vsphere-problem-detector-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        io.openshift.maintainer.subcomponent="Operators" \
        release="202106090743.p0.git.8f7c124" \
        io.openshift.build.commit.id="8f7c1246e6bcb99d8cdf667851b8d61f637f2801" \
        io.openshift.build.source-location="https://github.com/openshift/vsphere-problem-detector" \
        io.openshift.build.commit.url="https://github.com/openshift/vsphere-problem-detector/commit/8f7c1246e6bcb99d8cdf667851b8d61f637f2801" \
        version="v4.7.0"

